<script lang="ts">
	import { goto } from '$app/navigation';
	import { onMount } from 'svelte';
	//@ts-ignore
	import markdownit from 'markdown-it';
	import markdownItAnchor from 'markdown-it-anchor';
	import {Skeleton, Card} from '@higenku/theme';
	//@ts-ignore
	let md = markdownit({
		html: true,
		linkify: true,
		typographer: true
	});
	markdownItAnchor(md, {
		//@ts-ignore
		permalink: true,
		permalinkBefore: true,
		// CopyRight to github V
		permalinkSymbol:
			'<svg class="icon" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M7.775 3.275a.75.75 0 001.06 1.06l1.25-1.25a2 2 0 112.83 2.83l-2.5 2.5a2 2 0 01-2.83 0 .75.75 0 00-1.06 1.06 3.5 3.5 0 004.95 0l2.5-2.5a3.5 3.5 0 00-4.95-4.95l-1.25 1.25zm-4.69 9.64a2 2 0 010-2.83l2.5-2.5a2 2 0 012.83 0 .75.75 0 001.06-1.06 3.5 3.5 0 00-4.95 0l-2.5 2.5a3.5 3.5 0 004.95 4.95l1.25-1.25a.75.75 0 00-1.06-1.06l-1.25 1.25a2 2 0 01-2.83 0z"></path></svg>' // §
	});
	export let path: string;
	export let isPlainText = false;

	let content = `
        
            ${new Array(10).map((_) => ``).join('')}
        </div>
        </div>`;

	let contentLoaded = false;
	onMount(async () => {
		try {
			let res = await fetch(
				`https://static.higenku.org/https://gitlab.com/higenku/legal/-/raw/dev/${path}`
			);
			let bodyText = await res.text();
			if (!isPlainText) {
				content = `<div class="card w-80 w-sm-100 my-2">${md.render(bodyText)}</div>`;
			} else {
				content = bodyText;
			}
			contentLoaded = true;
		} catch (err) {
			content = `Error while getting Document: <br>${err}`;
		}

		let title = window.location.hash;

		if (title != '') {
			setTimeout(() => {
				goto(`${location.pathname}${title}`);
				// todo:
			}, 300);
		}
	});
</script>

<div class="d-flex justify-center">
	{#if contentLoaded}
		{@html content}
	{:else}
		<div class="w-80 w-sm-100 my-2">
			<Card>
				<Skeleton lineCount={30} />
			</Card>
		</div>
	{/if}
</div>
